import * as _angular_core from '@angular/core';
import * as i2 from 'tableau-ui-angular/common';
import { OptionComponent, IOptionLineContext } from 'tableau-ui-angular/common';
import { Primitive } from 'tableau-ui-angular/types';
import * as i3 from '@angular/common';
import * as i4 from 'tableau-ui-angular/tooltip';

declare class ButtonToggleComponent<T extends Primitive> {
    /**
     * Disables the button toggle component.
     * This will prevent any interaction with the component
     * @default false
     */
    readonly $disabled: _angular_core.InputSignal<boolean>;
    /**
     * The value of the button toggle component.
     * This is the value that will be emitted when an option is selected.
     * If no value is selected, it will be undefined.
     * @default undefined
     */
    readonly $selectedValue: _angular_core.ModelSignal<T>;
    protected readonly $options: _angular_core.Signal<readonly OptionComponent<any>[]>;
    readonly selectedValueChange: _angular_core.EffectRef;
    protected readonly $optionRenderContext: _angular_core.Signal<IOptionLineContext>;
    optionClicked(option: OptionComponent<T>): void;
    onKeyDown(event: KeyboardEvent): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<ButtonToggleComponent<any>, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<ButtonToggleComponent<any>, "tab-button-toggle", never, { "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "$selectedValue": { "alias": "selectedValue"; "required": false; "isSignal": true; }; }, { "$selectedValue": "selectedValueChange"; }, ["$options"], never, false, never>;
}

declare class TableauUiButtonToggleModule {
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<TableauUiButtonToggleModule, never>;
    static ɵmod: _angular_core.ɵɵNgModuleDeclaration<TableauUiButtonToggleModule, [typeof ButtonToggleComponent], [typeof i2.TableauUiCommonModule, typeof i3.CommonModule, typeof i4.TableauUiTooltipModule], [typeof ButtonToggleComponent]>;
    static ɵinj: _angular_core.ɵɵInjectorDeclaration<TableauUiButtonToggleModule>;
}

export { ButtonToggleComponent, TableauUiButtonToggleModule };
