import * as _angular_core from '@angular/core';
import { ElementRef } from '@angular/core';
import * as i2 from '@angular/common';

declare class ButtonComponent {
    readonly $nativeElement: ElementRef<HTMLElement>;
    readonly $disabled: _angular_core.InputSignal<boolean>;
    readonly $loading: _angular_core.InputSignal<boolean>;
    readonly $tabindex: _angular_core.InputSignal<string>;
    readonly $type: _angular_core.InputSignal<"button" | "submit">;
    readonly $kind: _angular_core.InputSignal<"stroked" | "raised">;
    readonly $color: _angular_core.InputSignal<"error" | "plain" | "primary" | "secondary">;
    readonly $layout: _angular_core.InputSignal<"default" | "icon" | "small-icon">;
    readonly $inline: _angular_core.InputSignal<boolean>;
    readonly $noFocusOnClick: _angular_core.InputSignal<boolean>;
    private clickFromKeyboard;
    handleKeydown(event: KeyboardEvent): void;
    handleMouseDown(): void;
    handlePointerDown(): void;
    handleTouchStart(): void;
    mouseClickHandler(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<ButtonComponent, "button:not([tab-menu-button]),a[button]:not([tab-menu-button])", never, { "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "$loading": { "alias": "loading"; "required": false; "isSignal": true; }; "$tabindex": { "alias": "tabindex"; "required": false; "isSignal": true; }; "$type": { "alias": "type"; "required": false; "isSignal": true; }; "$kind": { "alias": "kind"; "required": false; "isSignal": true; }; "$color": { "alias": "color"; "required": false; "isSignal": true; }; "$layout": { "alias": "layout"; "required": false; "isSignal": true; }; "$inline": { "alias": "inline"; "required": false; "isSignal": true; }; "$noFocusOnClick": { "alias": "noFocusOnClick"; "required": false; "isSignal": true; }; }, {}, never, ["*"], false, never>;
}

declare class TableauUiButtonModule {
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<TableauUiButtonModule, never>;
    static ɵmod: _angular_core.ɵɵNgModuleDeclaration<TableauUiButtonModule, [typeof ButtonComponent], [typeof i2.CommonModule], [typeof ButtonComponent]>;
    static ɵinj: _angular_core.ɵɵInjectorDeclaration<TableauUiButtonModule>;
}

export { ButtonComponent, TableauUiButtonModule };
