import * as i0 from '@angular/core';
import { ElementRef, InputSignal, TemplateRef, Signal } from '@angular/core';
import { Primitive } from 'tableau-ui-angular/types';
import * as i9 from '@angular/common';
import * as i10 from 'tableau-ui-angular/icon';
import * as i11 from 'tableau-ui-angular/utils';

declare class ErrorComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ErrorComponent, "tab-error", never, {}, {}, never, ["*"], false, never>;
}

declare class HintComponent {
    readonly $type: i0.InputSignal<"prefix" | "suffix">;
    readonly $showOnError: i0.InputSignal<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HintComponent, "tab-hint", never, { "$type": { "alias": "type"; "required": false; "isSignal": true; }; "$showOnError": { "alias": "showOnError"; "required": false; "isSignal": true; }; }, {}, never, ["*"], false, never>;
}

declare class OptionComponent<T extends Primitive> {
    readonly elementRef: ElementRef<HTMLElement>;
    readonly $value: InputSignal<T>;
    readonly $disabled: InputSignal<boolean>;
    readonly $text: InputSignal<TemplateRef<unknown> | string | undefined>;
    readonly $hint: InputSignal<TemplateRef<unknown> | string | undefined>;
    readonly $icon: InputSignal<TemplateRef<unknown> | string | undefined>;
    readonly $template: Signal<TemplateRef<IOptionGridContext>>;
    readonly $lineTemplate: Signal<TemplateRef<IOptionLineContext>>;
    protected readonly $iconType: Signal<"none" | "string" | "template">;
    protected readonly $iconString: Signal<string>;
    protected readonly $iconTemplate: Signal<TemplateRef<unknown> | null>;
    protected readonly $textType: Signal<"none" | "string" | "template">;
    protected readonly $textString: Signal<string>;
    protected readonly $textTemplate: Signal<TemplateRef<unknown> | null>;
    protected readonly $hintType: Signal<"none" | "string" | "template">;
    protected readonly $hintString: Signal<string>;
    protected readonly $hintTemplate: Signal<TemplateRef<unknown> | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OptionComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OptionComponent<any>, "tab-option", never, { "$value": { "alias": "value"; "required": true; "isSignal": true; }; "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "$text": { "alias": "text"; "required": false; "isSignal": true; }; "$hint": { "alias": "hint"; "required": false; "isSignal": true; }; "$icon": { "alias": "icon"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
interface IOptionLineContext {
    renderIcon: boolean;
    renderText: boolean;
    renderAsDisabled?: boolean;
}
interface IOptionGridContext extends IOptionLineContext {
    renderHint: boolean;
}

declare class SeparatorComponent {
    readonly $direction: i0.InputSignal<"horizontal" | "vertical">;
    static ɵfac: i0.ɵɵFactoryDeclaration<SeparatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeparatorComponent, "tab-separator", never, { "$direction": { "alias": "direction"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}

declare class PrefixComponent {
    readonly elementRef: ElementRef<HTMLElement>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrefixComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrefixComponent, "tab-prefix", never, {}, {}, never, ["*"], false, never>;
}

declare class SuffixComponent {
    readonly elementRef: ElementRef<HTMLElement>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SuffixComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SuffixComponent, "tab-suffix", never, {}, {}, never, ["*"], false, never>;
}

declare class LoadingGifComponent {
    readonly $color: i0.InputSignal<string>;
    readonly $width: i0.InputSignal<string>;
    readonly $height: i0.InputSignal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingGifComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoadingGifComponent, "tab-loading-gif", never, { "$color": { "alias": "color"; "required": false; "isSignal": true; }; "$width": { "alias": "width"; "required": false; "isSignal": true; }; "$height": { "alias": "height"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}

declare class LabelComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LabelComponent, "tab-label", never, {}, {}, never, ["*"], false, never>;
}

declare class TableauUiCommonModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiCommonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiCommonModule, [typeof ErrorComponent, typeof HintComponent, typeof OptionComponent, typeof PrefixComponent, typeof SuffixComponent, typeof SeparatorComponent, typeof LoadingGifComponent, typeof LabelComponent], [typeof i9.CommonModule, typeof i10.TableauUiIconModule, typeof i11.TableauUiUtilsModule], [typeof ErrorComponent, typeof HintComponent, typeof OptionComponent, typeof SeparatorComponent, typeof LoadingGifComponent, typeof PrefixComponent, typeof SuffixComponent, typeof LabelComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiCommonModule>;
}

export { ErrorComponent, HintComponent, LabelComponent, LoadingGifComponent, OptionComponent, PrefixComponent, SeparatorComponent, SuffixComponent, TableauUiCommonModule };
export type { IOptionGridContext, IOptionLineContext };
