import * as i0 from '@angular/core';
import { ModelSignal } from '@angular/core';
import { ControlValueAccessor, AbstractControl } from '@angular/forms';
import * as i2 from '@angular/common';

declare class DatePickerDirective implements ControlValueAccessor {
    private readonly el;
    private readonly themeService;
    readonly $type: i0.InputSignal<"date" | "datetime">;
    private originalType;
    private readonly typeChanged;
    readonly $value: ModelSignal<Date | undefined>;
    readonly valueChange: i0.OutputEmitterRef<Date>;
    onInput(): void;
    onFocus(): void;
    writeValue(obj: Date): void;
    private _onChange;
    private _onTouched;
    registerOnChange(fn: (date: Date | undefined) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DatePickerDirective, "input[type=date],input[type=datetime-local],input[type=datetime],input[date-picker]", never, { "$type": { "alias": "type"; "required": true; "isSignal": true; }; "$value": { "alias": "value"; "required": false; "isSignal": true; }; }, { "$value": "valueChange"; "valueChange": "valueChange"; }, never, never, false, never>;
}

declare class DateValidators {
    static minDate(minDate: Date): (ctrl: AbstractControl) => {
        minDate: boolean;
    };
    static maxDate(maxDate: Date): (ctrl: AbstractControl) => {
        maxDate: boolean;
    };
}

declare class TableauUiDatePickerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiDatePickerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiDatePickerModule, [typeof DatePickerDirective], [typeof i2.CommonModule], [typeof DatePickerDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiDatePickerModule>;
}

export { DatePickerDirective, DateValidators, TableauUiDatePickerModule };
