import * as i0 from '@angular/core';
import { OnInit, OnDestroy, Signal } from '@angular/core';
import * as rxjs from 'rxjs';
import * as i4 from '@angular/common';
import * as i5 from 'tableau-ui-angular/button';
import * as i6 from 'tableau-ui-angular/icon';

declare class ExpansionPanelTitleComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpansionPanelTitleComponent, "tab-expansion-panel-title", never, {}, {}, never, ["*"], false, never>;
}
declare class ExpansionPanelTitleExpandedContentDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelTitleExpandedContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExpansionPanelTitleExpandedContentDirective, "tab-expansion-panel-title[expanded]", never, {}, {}, never, never, false, never>;
}
declare class ExpansionPanelTitleCollapsedContentDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelTitleCollapsedContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExpansionPanelTitleCollapsedContentDirective, "tab-expansion-panel-title[collapsed]", never, {}, {}, never, never, false, never>;
}

declare class ExpansionPanelComponent implements OnInit, OnDestroy {
    readonly id: string;
    /**
     * The expanded state of the panel.
     * @default false
     */
    readonly $expanded: i0.ModelSignal<boolean>;
    readonly expandedChange$: rxjs.Observable<boolean>;
    /**
     * The disabled state of the panel.
     * @default false
     */
    readonly $disabled: i0.InputSignal<boolean>;
    /**
     * Disables the hover color of the header
     */
    readonly $noHeaderHover: i0.InputSignal<boolean>;
    protected readonly $expandedHeader: Signal<ExpansionPanelTitleExpandedContentDirective | undefined>;
    protected readonly $collapsedHeader: Signal<ExpansionPanelTitleCollapsedContentDirective | undefined>;
    private readonly accordion;
    readonly $registry: i0.InputSignal<AccordionRegistry>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected setExpanded(expanded: boolean): void;
    protected onclick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpansionPanelComponent, "tab-expansion-panel", never, { "$expanded": { "alias": "expanded"; "required": false; "isSignal": true; }; "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "$noHeaderHover": { "alias": "noHeaderHover"; "required": false; "isSignal": true; }; "$registry": { "alias": "registry"; "required": false; "isSignal": true; }; }, { "$expanded": "expandedChange"; }, ["$expandedHeader", "$collapsedHeader"], ["tab-expansion-panel-title[expanded]", "tab-expansion-panel-title[collapsed]", "tab-expansion-panel-title", "*"], false, never>;
}

declare class AccordionRegistry {
    readonly nodes: i0.WritableSignal<ExpansionPanelComponent[]>;
    register(node: ExpansionPanelComponent): void;
    unregister(node: ExpansionPanelComponent): void;
}

declare class AccordionComponent {
    readonly registry: AccordionRegistry;
    private subs;
    private readonly registryChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "tab-accordion", never, {}, {}, never, ["tab-expansion-panel"], false, never>;
}

declare class TableauUiExpansionPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiExpansionPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiExpansionPanelModule, [typeof ExpansionPanelComponent, typeof ExpansionPanelTitleCollapsedContentDirective, typeof ExpansionPanelTitleComponent, typeof ExpansionPanelTitleExpandedContentDirective, typeof AccordionComponent], [typeof i4.CommonModule, typeof i5.TableauUiButtonModule, typeof i6.TableauUiIconModule], [typeof ExpansionPanelComponent, typeof ExpansionPanelTitleCollapsedContentDirective, typeof ExpansionPanelTitleComponent, typeof ExpansionPanelTitleExpandedContentDirective, typeof AccordionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiExpansionPanelModule>;
}

export { AccordionComponent, AccordionRegistry, ExpansionPanelComponent, ExpansionPanelTitleCollapsedContentDirective, ExpansionPanelTitleComponent, ExpansionPanelTitleExpandedContentDirective, TableauUiExpansionPanelModule };
