import * as i0 from '@angular/core';
import { ChangeDetectionStrategy, Component, input, inject, ElementRef, viewChild, computed, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from 'tableau-ui-angular/icon';
import { TableauUiIconModule } from 'tableau-ui-angular/icon';
import { TableauUiUtilsModule } from 'tableau-ui-angular/utils';

class ErrorComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ErrorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: ErrorComponent, isStandalone: false, selector: "tab-error", ngImport: i0, template: `
        <div class="tab-error"><ng-content /></div>
    `, isInline: true, styles: [".tab-error{font-size:.9em;color:var(--twc-color-error);font-weight:700}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ErrorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-error', standalone: false, template: `
        <div class="tab-error"><ng-content /></div>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [".tab-error{font-size:.9em;color:var(--twc-color-error);font-weight:700}\n"] }]
        }] });

class HintComponent {
    $type = input('prefix', {
        alias: 'type',
    });
    $showOnError = input(false, {
        alias: 'showOnError',
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: HintComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: HintComponent, isStandalone: false, selector: "tab-hint", inputs: { $type: { classPropertyName: "$type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, $showOnError: { classPropertyName: "$showOnError", publicName: "showOnError", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: `
        <div class="tab-hint" [ngClass]="$type()"><ng-content /></div>
    `, isInline: true, styles: [".tab-hint{font-size:.9em;color:var(--twc-color-text-gray)}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: HintComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-hint', standalone: false, template: `
        <div class="tab-hint" [ngClass]="$type()"><ng-content /></div>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [".tab-hint{font-size:.9em;color:var(--twc-color-text-gray)}\n"] }]
        }] });

class OptionComponent {
    elementRef = inject(ElementRef);
    $value = input.required({
        alias: 'value',
    });
    $disabled = input(false, {
        alias: 'disabled',
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $text = input(undefined, {
        alias: 'text',
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $hint = input(undefined, {
        alias: 'hint',
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $icon = input(undefined, {
        alias: 'icon',
    });
    $template = viewChild.required('templateRef');
    $lineTemplate = viewChild.required('lineTemplateRef');
    $iconType = computed(() => {
        if (this.$icon() === undefined) {
            return 'none';
        }
        else if (typeof this.$icon() === 'string') {
            return 'string';
        }
        else {
            return 'template';
        }
    });
    $iconString = computed(() => {
        return this.$iconType() === 'string' ? this.$icon() : '';
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $iconTemplate = computed(() => {
        return this.$iconType() === 'template' ? this.$icon() : null;
    });
    $textType = computed(() => {
        if (this.$text() === undefined) {
            return 'none';
        }
        else if (typeof this.$text() === 'string') {
            return 'string';
        }
        else {
            return 'template';
        }
    });
    $textString = computed(() => {
        return this.$textType() === 'string' ? this.$text() : '';
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $textTemplate = computed(() => {
        return this.$textType() === 'template' ? this.$text() : null;
    });
    $hintType = computed(() => {
        if (this.$hint() === undefined) {
            return 'none';
        }
        else if (typeof this.$hint() === 'string') {
            return 'string';
        }
        else {
            return 'template';
        }
    });
    $hintString = computed(() => {
        return this.$hintType() === 'string' ? this.$hint() : '';
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $hintTemplate = computed(() => {
        return this.$hintType() === 'template' ? this.$hint() : null;
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: OptionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: OptionComponent, isStandalone: false, selector: "tab-option", inputs: { $value: { classPropertyName: "$value", publicName: "value", isSignal: true, isRequired: true, transformFunction: null }, $disabled: { classPropertyName: "$disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, $text: { classPropertyName: "$text", publicName: "text", isSignal: true, isRequired: false, transformFunction: null }, $hint: { classPropertyName: "$hint", publicName: "hint", isSignal: true, isRequired: false, transformFunction: null }, $icon: { classPropertyName: "$icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null } }, viewQueries: [{ propertyName: "$template", first: true, predicate: ["templateRef"], descendants: true, isSignal: true }, { propertyName: "$lineTemplate", first: true, predicate: ["lineTemplateRef"], descendants: true, isSignal: true }], ngImport: i0, template: "<ng-template #templateRef let-renderIcon=\"renderIcon\" let-renderText=\"renderText\" let-renderHint=\"renderHint\" let-renderAsDisabled=\"renderAsDisabled\">\n    <div class=\"tab-option grid\" [class.disabled]=\"$disabled() || renderAsDisabled\">\n        @if (renderIcon && $iconType() !== 'none') {\n        <div class=\"icon\" [style.marginRight]=\"renderText ? '0.25rem' : '0'\">\n            @if ($iconType() === 'string') {\n            <tab-icon [value]=\"$iconString()\" />\n            } @else if ($iconType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$iconTemplate()\" />\n            }\n        </div>\n        } @if (renderText && $textType() !== 'none') {\n        <div class=\"content\">\n            @if ($textType() === 'string') { {{ $textString() }} } @else if ($textType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$textTemplate()\" />\n            }\n        </div>\n        } @if (renderHint && $hintType() !== 'none') {\n        <div class=\"hint\">\n            @if ($hintType() === 'string') { {{ $hintString() }} } @else if ($hintType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$hintTemplate()\" />\n            }\n        </div>\n        }\n    </div>\n</ng-template>\n<ng-template #lineTemplateRef let-renderIcon=\"renderIcon\" let-renderText=\"renderText\" let-renderAsDisabled=\"renderAsDisabled\">\n    <span class=\"tab-option line\" [class.disabled]=\"$disabled() || renderAsDisabled\">\n        @if (renderIcon && $iconType() !== 'none') {\n        <span class=\"icon\" [style.marginRight]=\"renderText ? '0.25rem' : '0'\">\n            @if ($iconType() === 'string') {\n            <tab-icon [value]=\"$iconString()\" />\n            } @else if ($iconType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$iconTemplate()\" />\n            }\n        </span>\n        } @if (renderText && $textType() !== 'none') {\n        <span class=\"content\">\n            @if ($textType() === 'string') { {{ $textString() }} } @else if ($textType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$textTemplate()\" />\n            }\n        </span>\n        }\n    </span>\n</ng-template>\n", styles: [".tab-option{line-height:1.2}.tab-option.disabled .icon,.tab-option.disabled .content,.tab-option.disabled .hint{color:var(--twc-color-disabled)}.hint{font-size:.9em;color:var(--twc-color-text-gray)}.grid{display:grid;grid-template-columns:auto 1fr;grid-template-rows:auto auto}.grid .icon{grid-column:1;grid-row:1;display:flex}.grid .content{grid-column:2;grid-row:1;align-self:center}.grid .hint{grid-column:2;grid-row:2}.line .icon{vertical-align:middle}\n"], dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2.IconComponent, selector: "tab-icon", inputs: ["value", "color", "type", "fill", "weight", "grade", "opticalSizePx"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: OptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-option', standalone: false, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-template #templateRef let-renderIcon=\"renderIcon\" let-renderText=\"renderText\" let-renderHint=\"renderHint\" let-renderAsDisabled=\"renderAsDisabled\">\n    <div class=\"tab-option grid\" [class.disabled]=\"$disabled() || renderAsDisabled\">\n        @if (renderIcon && $iconType() !== 'none') {\n        <div class=\"icon\" [style.marginRight]=\"renderText ? '0.25rem' : '0'\">\n            @if ($iconType() === 'string') {\n            <tab-icon [value]=\"$iconString()\" />\n            } @else if ($iconType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$iconTemplate()\" />\n            }\n        </div>\n        } @if (renderText && $textType() !== 'none') {\n        <div class=\"content\">\n            @if ($textType() === 'string') { {{ $textString() }} } @else if ($textType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$textTemplate()\" />\n            }\n        </div>\n        } @if (renderHint && $hintType() !== 'none') {\n        <div class=\"hint\">\n            @if ($hintType() === 'string') { {{ $hintString() }} } @else if ($hintType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$hintTemplate()\" />\n            }\n        </div>\n        }\n    </div>\n</ng-template>\n<ng-template #lineTemplateRef let-renderIcon=\"renderIcon\" let-renderText=\"renderText\" let-renderAsDisabled=\"renderAsDisabled\">\n    <span class=\"tab-option line\" [class.disabled]=\"$disabled() || renderAsDisabled\">\n        @if (renderIcon && $iconType() !== 'none') {\n        <span class=\"icon\" [style.marginRight]=\"renderText ? '0.25rem' : '0'\">\n            @if ($iconType() === 'string') {\n            <tab-icon [value]=\"$iconString()\" />\n            } @else if ($iconType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$iconTemplate()\" />\n            }\n        </span>\n        } @if (renderText && $textType() !== 'none') {\n        <span class=\"content\">\n            @if ($textType() === 'string') { {{ $textString() }} } @else if ($textType() === 'template') {\n            <ng-container *ngTemplateOutlet=\"$textTemplate()\" />\n            }\n        </span>\n        }\n    </span>\n</ng-template>\n", styles: [".tab-option{line-height:1.2}.tab-option.disabled .icon,.tab-option.disabled .content,.tab-option.disabled .hint{color:var(--twc-color-disabled)}.hint{font-size:.9em;color:var(--twc-color-text-gray)}.grid{display:grid;grid-template-columns:auto 1fr;grid-template-rows:auto auto}.grid .icon{grid-column:1;grid-row:1;display:flex}.grid .content{grid-column:2;grid-row:1;align-self:center}.grid .hint{grid-column:2;grid-row:2}.line .icon{vertical-align:middle}\n"] }]
        }] });

class SeparatorComponent {
    $direction = input('horizontal', {
        alias: 'direction',
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SeparatorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: SeparatorComponent, isStandalone: false, selector: "tab-separator", inputs: { $direction: { classPropertyName: "$direction", publicName: "direction", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "style.width": "$direction() === \"horizontal\" ? undefined : \"1px\"", "style.height": "$direction() === \"vertical\" ? undefined : \"1px\"", "style.display": "$direction() === \"horizontal\" ? \"block\" : \"inline-block\"" } }, ngImport: i0, template: ``, isInline: true, styles: [":host{background-color:var(--twc-color-border-light)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SeparatorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-separator', standalone: false, template: ``, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[style.width]': '$direction() === "horizontal" ? undefined : "1px"',
                        '[style.height]': '$direction() === "vertical" ? undefined : "1px"',
                        '[style.display]': '$direction() === "horizontal" ? "block" : "inline-block"',
                    }, styles: [":host{background-color:var(--twc-color-border-light)}\n"] }]
        }] });

class PrefixComponent {
    elementRef = inject(ElementRef);
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: PrefixComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: PrefixComponent, isStandalone: false, selector: "tab-prefix", ngImport: i0, template: `
        <ng-content />
    `, isInline: true, styles: [""], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: PrefixComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-prefix', standalone: false, template: `
        <ng-content />
    `, changeDetection: ChangeDetectionStrategy.OnPush }]
        }] });

class SuffixComponent {
    elementRef = inject(ElementRef);
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SuffixComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: SuffixComponent, isStandalone: false, selector: "tab-suffix", ngImport: i0, template: `
        <ng-content />
    `, isInline: true, styles: [""], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SuffixComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-suffix', standalone: false, template: `
        <ng-content />
    `, changeDetection: ChangeDetectionStrategy.OnPush }]
        }] });

class LoadingGifComponent {
    $color = input('var(--twc-color-text)', {
        alias: 'color',
    });
    $width = input('24px', {
        alias: 'width',
    });
    $height = input('24px', {
        alias: 'height',
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoadingGifComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: LoadingGifComponent, isStandalone: false, selector: "tab-loading-gif", inputs: { $color: { classPropertyName: "$color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, $width: { classPropertyName: "$width", publicName: "width", isSignal: true, isRequired: false, transformFunction: null }, $height: { classPropertyName: "$height", publicName: "height", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: `
        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" [attr.width]="$width()" [attr.height]="$height()" [attr.color]="$color()">
            <g transform="rotate(0 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.9166666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(30 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.8333333333333334s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(60 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.75s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(90 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.6666666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(120 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5833333333333334s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(150 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(180 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.4166666666666667s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(210 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.3333333333333333s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(240 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.25s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(270 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.16666666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(300 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.08333333333333333s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(330 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite" />
                </rect>
            </g>
        </svg>
    `, isInline: true, styles: ["svg{margin:auto;display:block;shape-rendering:auto}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoadingGifComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-loading-gif', standalone: false, template: `
        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" [attr.width]="$width()" [attr.height]="$height()" [attr.color]="$color()">
            <g transform="rotate(0 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.9166666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(30 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.8333333333333334s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(60 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.75s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(90 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.6666666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(120 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5833333333333334s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(150 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(180 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.4166666666666667s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(210 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.3333333333333333s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(240 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.25s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(270 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.16666666666666666s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(300 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.08333333333333333s" repeatCount="indefinite" />
                </rect>
            </g>
            <g transform="rotate(330 50 50)">
                <rect x="47" y="10.5" rx="3" ry="9.5" width="6" height="19" fill="currentColor">
                    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite" />
                </rect>
            </g>
        </svg>
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: ["svg{margin:auto;display:block;shape-rendering:auto}\n"] }]
        }] });

class LabelComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: LabelComponent, isStandalone: false, selector: "tab-label", ngImport: i0, template: `
        <ng-content />
    `, isInline: true, styles: [":host{color:var(--twc-color-text-light)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-label', standalone: false, template: `
        <ng-content />
    `, changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host{color:var(--twc-color-text-light)}\n"] }]
        }] });

class TableauUiCommonModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiCommonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: TableauUiCommonModule, declarations: [ErrorComponent, HintComponent, OptionComponent, PrefixComponent, SuffixComponent, SeparatorComponent, LoadingGifComponent, LabelComponent], imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule], exports: [ErrorComponent, HintComponent, OptionComponent, SeparatorComponent, LoadingGifComponent, PrefixComponent, SuffixComponent, LabelComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiCommonModule, imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiCommonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule],
                    declarations: [ErrorComponent, HintComponent, OptionComponent, PrefixComponent, SuffixComponent, SeparatorComponent, LoadingGifComponent, LabelComponent],
                    exports: [ErrorComponent, HintComponent, OptionComponent, SeparatorComponent, LoadingGifComponent, PrefixComponent, SuffixComponent, LabelComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ErrorComponent, HintComponent, LabelComponent, LoadingGifComponent, OptionComponent, PrefixComponent, SeparatorComponent, SuffixComponent, TableauUiCommonModule };
//# sourceMappingURL=tableau-ui-angular-common.mjs.map
