import * as i0 from '@angular/core';
import { input, computed, ChangeDetectionStrategy, Component, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class IconComponent {
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $value = input(undefined, {
        alias: 'value',
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $color = input(undefined, {
        alias: 'color',
    });
    $type = input('Material Symbols Rounded', {
        alias: 'type',
    });
    $fill = input(false, {
        alias: 'fill',
    });
    $weight = input(400, {
        alias: 'weight',
    });
    $grade = input(0, {
        alias: 'grade',
    });
    $opticalSizePx = input(24, {
        alias: 'opticalSizePx',
    });
    $fontVariationSettings = computed(() => {
        return `'FILL' ${this.$fill() ? 1 : 0}, 'wght' ${this.$weight()}, 'GRAD' ${this.$grade()}, 'opsz' ${this.$opticalSizePx()}`;
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: IconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: IconComponent, isStandalone: false, selector: "tab-icon", inputs: { $value: { classPropertyName: "$value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, $color: { classPropertyName: "$color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, $type: { classPropertyName: "$type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, $fill: { classPropertyName: "$fill", publicName: "fill", isSignal: true, isRequired: false, transformFunction: null }, $weight: { classPropertyName: "$weight", publicName: "weight", isSignal: true, isRequired: false, transformFunction: null }, $grade: { classPropertyName: "$grade", publicName: "grade", isSignal: true, isRequired: false, transformFunction: null }, $opticalSizePx: { classPropertyName: "$opticalSizePx", publicName: "opticalSizePx", isSignal: true, isRequired: false, transformFunction: null } }, host: { attributes: { "role": "img" }, properties: { "class.error": "$color() === 'error'", "class.primary": "$color() === 'primary'", "class.success": "$color() === 'success'", "style.font-family": "$type()", "style.font-variation-settings": "$fontVariationSettings()" }, classAttribute: "tab-icon" }, ngImport: i0, template: `
        {{ $value() }}
    `, isInline: true, styles: [":host{-webkit-user-select:none;user-select:none;background-repeat:no-repeat;fill:currentcolor;overflow:hidden;font-weight:400;font-style:normal;font-size:1.2em;line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;min-width:1em;min-height:1em;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizelegibility;font-feature-settings:\"liga\"}:host.fill{font-variation-settings:\"FILL\" 1}:host.primary{color:var(--twc-color-primary)}:host.error{color:var(--twc-color-error)}:host.success{color:var(--twc-color-success)}:host.icon-button{background-color:transparent}:host.icon-button:not([disabled]){cursor:pointer}:host.icon-button:not([disabled]):hover{background-color:var(--twc-color-border-dark-disabled)}:host.icon-button[disabled]{color:var(--twc-color-border-dark)!important}@supports (width: round(1em,1px)){:host{font-size:round(1.2em,1px)}}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: IconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-icon', standalone: false, template: `
        {{ $value() }}
    `, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        role: 'img',
                        class: 'tab-icon',
                        '[class.error]': "$color() === 'error'",
                        '[class.primary]': "$color() === 'primary'",
                        '[class.success]': "$color() === 'success'",
                        '[style.font-family]': '$type()',
                        '[style.font-variation-settings]': '$fontVariationSettings()',
                    }, styles: [":host{-webkit-user-select:none;user-select:none;background-repeat:no-repeat;fill:currentcolor;overflow:hidden;font-weight:400;font-style:normal;font-size:1.2em;line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;min-width:1em;min-height:1em;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizelegibility;font-feature-settings:\"liga\"}:host.fill{font-variation-settings:\"FILL\" 1}:host.primary{color:var(--twc-color-primary)}:host.error{color:var(--twc-color-error)}:host.success{color:var(--twc-color-success)}:host.icon-button{background-color:transparent}:host.icon-button:not([disabled]){cursor:pointer}:host.icon-button:not([disabled]):hover{background-color:var(--twc-color-border-dark-disabled)}:host.icon-button[disabled]{color:var(--twc-color-border-dark)!important}@supports (width: round(1em,1px)){:host{font-size:round(1.2em,1px)}}\n"] }]
        }] });

class TableauUiIconModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: TableauUiIconModule, declarations: [IconComponent], imports: [CommonModule], exports: [IconComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiIconModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiIconModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [IconComponent],
                    exports: [IconComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IconComponent, TableauUiIconModule };
//# sourceMappingURL=tableau-ui-angular-icon.mjs.map
