import * as i0 from '@angular/core';
import { ChangeDetectionStrategy, Component, input, output, signal, computed, contentChild, model, contentChildren, NgModule } from '@angular/core';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i2 from 'tableau-ui-angular/tooltip';
import { TableauUiTooltipModule } from 'tableau-ui-angular/tooltip';
import * as i1$1 from 'tableau-ui-angular/icon';
import { TableauUiIconModule } from 'tableau-ui-angular/icon';
import * as i3 from 'tableau-ui-angular/button';
import { TableauUiButtonModule } from 'tableau-ui-angular/button';
import * as i4 from 'tableau-ui-angular/arrow-scroll';
import { TableauUiArrowScrollModule } from 'tableau-ui-angular/arrow-scroll';
import { CommonModule } from '@angular/common';

class NavBarFooterComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarFooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: NavBarFooterComponent, isStandalone: false, selector: "tab-nav-bar-footer", ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarFooterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'tab-nav-bar-footer',
                    standalone: false,
                    template: '<ng-content />',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                }]
        }] });

class NavBarHeaderComponent {
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $expanded = input(undefined, {
        alias: 'expanded',
    });
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: NavBarHeaderComponent, isStandalone: false, selector: "tab-nav-bar-header", inputs: { $expanded: { classPropertyName: "$expanded", publicName: "expanded", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'tab-nav-bar-header',
                    standalone: false,
                    template: '<ng-content />',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                }]
        }] });

class NavBarButtonComponent {
    $text = input.required({
        alias: 'text',
    });
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $link = input(undefined, {
        alias: 'link',
    });
    // eslint-disable-next-line @angular-eslint/no-output-native
    click = output();
    $isActive = input(false, {
        alias: 'isActive',
    });
    $disabled = input(false, {
        alias: 'disabled',
    });
    $expanded = signal(false);
    $isExpanded = computed(() => this.$expanded());
    setExpandedInternal(expanded) {
        this.$expanded.set(expanded);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: NavBarButtonComponent, isStandalone: false, selector: "tab-nav-bar-button", inputs: { $text: { classPropertyName: "$text", publicName: "text", isSignal: true, isRequired: true, transformFunction: null }, $link: { classPropertyName: "$link", publicName: "link", isSignal: true, isRequired: false, transformFunction: null }, $isActive: { classPropertyName: "$isActive", publicName: "isActive", isSignal: true, isRequired: false, transformFunction: null }, $disabled: { classPropertyName: "$disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { click: "click" }, ngImport: i0, template: "<a tooltipPosition=\"right\" [routerLink]=\"$disabled() ? undefined : $link()\" [class.active]=\"$isActive()\" [attr.disabled]=\"$disabled()\" [tooltip]=\"$isExpanded() ? undefined : $text()\" (click)=\"click.emit()\">\n    <ng-content select=\"tab-icon\" />\n    @if ($isExpanded()) {\n        <span>{{ $text() }}</span>\n    }\n</a>\n", styles: ["a{background-color:transparent;box-sizing:border-box;display:flex;flex-direction:row;font-size:var(--twc-font-size-body-large);height:3rem;text-decoration:none;width:100%;line-height:1.5rem;cursor:pointer;align-items:center;color:var(--twc-color-text-light);padding:0 1rem;gap:.75rem}a[disabled=true]{color:var(--twc-color-disabled);cursor:not-allowed}a tab-icon{display:inline-block;font-size:1.5rem;font-variation-settings:\"FILL\" 0,\"wght\" 250,\"GRAD\" 0,\"opsz\" 24}a.active{color:var(--twc-color-text);background-color:var(--twc-color-highlight)}a.active tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 350,\"GRAD\" 0,\"opsz\" 24}a:not([disabled=true],.active):hover{text-decoration:none;background-color:var(--twc-color-mouse-highlight);color:var(--twc-color-text)}a:not([disabled=true],.active):hover tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 350,\"GRAD\" 0,\"opsz\" 24}a span{font-weight:400;line-height:1.5rem;overflow:hidden;white-space:nowrap}\n"], dependencies: [{ kind: "directive", type: i1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i2.TooltipDirective, selector: "[tooltip]", inputs: ["tooltip", "tooltipContext", "tooltipPosition", "tooltipMargin", "tooltipPadding", "tooltipArgsMode", "tooltipFullArgs", "tooltipLazyArgs"], outputs: ["tooltipChange", "tooltipContextChange", "tooltipPositionChange", "tooltipMarginChange", "tooltipPaddingChange"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-nav-bar-button', standalone: false, changeDetection: ChangeDetectionStrategy.OnPush, template: "<a tooltipPosition=\"right\" [routerLink]=\"$disabled() ? undefined : $link()\" [class.active]=\"$isActive()\" [attr.disabled]=\"$disabled()\" [tooltip]=\"$isExpanded() ? undefined : $text()\" (click)=\"click.emit()\">\n    <ng-content select=\"tab-icon\" />\n    @if ($isExpanded()) {\n        <span>{{ $text() }}</span>\n    }\n</a>\n", styles: ["a{background-color:transparent;box-sizing:border-box;display:flex;flex-direction:row;font-size:var(--twc-font-size-body-large);height:3rem;text-decoration:none;width:100%;line-height:1.5rem;cursor:pointer;align-items:center;color:var(--twc-color-text-light);padding:0 1rem;gap:.75rem}a[disabled=true]{color:var(--twc-color-disabled);cursor:not-allowed}a tab-icon{display:inline-block;font-size:1.5rem;font-variation-settings:\"FILL\" 0,\"wght\" 250,\"GRAD\" 0,\"opsz\" 24}a.active{color:var(--twc-color-text);background-color:var(--twc-color-highlight)}a.active tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 350,\"GRAD\" 0,\"opsz\" 24}a:not([disabled=true],.active):hover{text-decoration:none;background-color:var(--twc-color-mouse-highlight);color:var(--twc-color-text)}a:not([disabled=true],.active):hover tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 350,\"GRAD\" 0,\"opsz\" 24}a span{font-weight:400;line-height:1.5rem;overflow:hidden;white-space:nowrap}\n"] }]
        }] });

class NavBarComponent {
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $header = contentChild(NavBarHeaderComponent);
    // nullable Signal type needs to be set explicitly -> ng-packagr strips nullability
    $footer = contentChild(NavBarFooterComponent);
    $expanded = model(true, {
        alias: 'expanded',
    });
    $buttons = contentChildren(NavBarButtonComponent);
    ngAfterContentInit() {
        this.setButtonExpanded(this.$expanded());
        this.$expanded.subscribe((e) => {
            this.setButtonExpanded(e);
        });
    }
    setButtonExpanded(expanded) {
        this.$buttons().forEach((b) => {
            b.setExpandedInternal(expanded);
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: NavBarComponent, isStandalone: false, selector: "tab-nav-bar", inputs: { $expanded: { classPropertyName: "$expanded", publicName: "expanded", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { $expanded: "expandedChange" }, host: { properties: { "attr.expanded": "$expanded()" } }, queries: [{ propertyName: "$header", first: true, predicate: NavBarHeaderComponent, descendants: true, isSignal: true }, { propertyName: "$footer", first: true, predicate: NavBarFooterComponent, descendants: true, isSignal: true }, { propertyName: "$buttons", predicate: NavBarButtonComponent, isSignal: true }], ngImport: i0, template: "<div class=\"menu-toggle-button\">\n    <button layout=\"icon\" tooltipPosition=\"right\" color=\"plain\" [tooltip]=\"$expanded() ? 'Collapse menu' : 'Expand menu'\" (click)=\"$expanded.set(!$expanded())\">\n        <tab-icon [value]=\"$expanded() ? 'keyboard_arrow_left' : 'keyboard_arrow_right'\" />\n    </button>\n</div>\n\n@if ($header()) {\n    <div class=\"header\"><ng-content select=\"tab-nav-bar-header\" /></div>\n}\n\n<tab-arrow-scroll scrollDirection=\"vertical\" buttonsColor=\"plain\" buttonsCssColor=\"var(--twc-color-text-light)\" [scrollType]=\"$expanded() ? 'default' : 'arrow'\" [showScrollButtonSeparator]=\"true\">\n    <tab-icon back-button value=\"keyboard_arrow_up\" />\n    <ng-content />\n    <tab-icon forward-button value=\"keyboard_arrow_down\" />\n</tab-arrow-scroll>\n\n@if ($footer()) {\n    <div class=\"footer\"><ng-content select=\"tab-nav-bar-footer\" /></div>\n}\n", styles: [":host{background-color:var(--twc-color-base-highlight);border-right:1px solid var(--twc-color-border-light);box-sizing:border-box;flex-direction:column;overflow:hidden auto;transition:width .3s ease-in-out;white-space:nowrap;display:grid;grid-template-rows:auto auto 1fr auto}:host[expanded=false]{width:3.5rem}:host .menu-toggle-button{justify-self:end;height:3rem;display:grid;align-items:center}:host .menu-toggle-button button{font-size:1.5rem}:host .menu-toggle-button button tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 100,\"GRAD\" 0,\"opsz\" 24;color:var(--twc-color-text-light)}:host .header{grid-row:2;overflow-x:hidden;margin-bottom:1em}:host tab-arrow-scroll{grid-row:3}:host tab-arrow-scroll tab-icon[back-button],:host tab-arrow-scroll tab-icon[forward-button]{font-variation-settings:\"FILL\" 0,\"wght\" 100,\"GRAD\" 0,\"opsz\" 24;font-size:2rem}:host .footer{margin-top:1rem;grid-row:4;overflow-x:hidden}\n"], dependencies: [{ kind: "component", type: i1$1.IconComponent, selector: "tab-icon", inputs: ["value", "color", "type", "fill", "weight", "grade", "opticalSizePx"] }, { kind: "directive", type: i2.TooltipDirective, selector: "[tooltip]", inputs: ["tooltip", "tooltipContext", "tooltipPosition", "tooltipMargin", "tooltipPadding", "tooltipArgsMode", "tooltipFullArgs", "tooltipLazyArgs"], outputs: ["tooltipChange", "tooltipContextChange", "tooltipPositionChange", "tooltipMarginChange", "tooltipPaddingChange"] }, { kind: "component", type: i3.ButtonComponent, selector: "button:not([tab-menu-button]),a[button]:not([tab-menu-button])", inputs: ["disabled", "loading", "tabindex", "type", "kind", "color", "layout", "inline", "noFocusOnClick"] }, { kind: "component", type: i4.ArrowScrollComponent, selector: "tab-arrow-scroll", inputs: ["scrollType", "scrollDirection", "buttonsGap", "buttonsColor", "buttonsCssColor", "buttonScrollAmount", "showScrollButtonSeparator"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: NavBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-nav-bar', standalone: false, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[attr.expanded]': '$expanded()',
                    }, template: "<div class=\"menu-toggle-button\">\n    <button layout=\"icon\" tooltipPosition=\"right\" color=\"plain\" [tooltip]=\"$expanded() ? 'Collapse menu' : 'Expand menu'\" (click)=\"$expanded.set(!$expanded())\">\n        <tab-icon [value]=\"$expanded() ? 'keyboard_arrow_left' : 'keyboard_arrow_right'\" />\n    </button>\n</div>\n\n@if ($header()) {\n    <div class=\"header\"><ng-content select=\"tab-nav-bar-header\" /></div>\n}\n\n<tab-arrow-scroll scrollDirection=\"vertical\" buttonsColor=\"plain\" buttonsCssColor=\"var(--twc-color-text-light)\" [scrollType]=\"$expanded() ? 'default' : 'arrow'\" [showScrollButtonSeparator]=\"true\">\n    <tab-icon back-button value=\"keyboard_arrow_up\" />\n    <ng-content />\n    <tab-icon forward-button value=\"keyboard_arrow_down\" />\n</tab-arrow-scroll>\n\n@if ($footer()) {\n    <div class=\"footer\"><ng-content select=\"tab-nav-bar-footer\" /></div>\n}\n", styles: [":host{background-color:var(--twc-color-base-highlight);border-right:1px solid var(--twc-color-border-light);box-sizing:border-box;flex-direction:column;overflow:hidden auto;transition:width .3s ease-in-out;white-space:nowrap;display:grid;grid-template-rows:auto auto 1fr auto}:host[expanded=false]{width:3.5rem}:host .menu-toggle-button{justify-self:end;height:3rem;display:grid;align-items:center}:host .menu-toggle-button button{font-size:1.5rem}:host .menu-toggle-button button tab-icon{font-variation-settings:\"FILL\" 0,\"wght\" 100,\"GRAD\" 0,\"opsz\" 24;color:var(--twc-color-text-light)}:host .header{grid-row:2;overflow-x:hidden;margin-bottom:1em}:host tab-arrow-scroll{grid-row:3}:host tab-arrow-scroll tab-icon[back-button],:host tab-arrow-scroll tab-icon[forward-button]{font-variation-settings:\"FILL\" 0,\"wght\" 100,\"GRAD\" 0,\"opsz\" 24;font-size:2rem}:host .footer{margin-top:1rem;grid-row:4;overflow-x:hidden}\n"] }]
        }] });

class TableauUiNavBarModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiNavBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: TableauUiNavBarModule, declarations: [NavBarHeaderComponent, NavBarFooterComponent, NavBarButtonComponent, NavBarComponent], imports: [CommonModule, RouterModule, TableauUiIconModule, TableauUiTooltipModule, TableauUiButtonModule, TableauUiArrowScrollModule], exports: [NavBarHeaderComponent, NavBarFooterComponent, NavBarButtonComponent, NavBarComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiNavBarModule, imports: [CommonModule, RouterModule, TableauUiIconModule, TableauUiTooltipModule, TableauUiButtonModule, TableauUiArrowScrollModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiNavBarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, RouterModule, TableauUiIconModule, TableauUiTooltipModule, TableauUiButtonModule, TableauUiArrowScrollModule],
                    declarations: [NavBarHeaderComponent, NavBarFooterComponent, NavBarButtonComponent, NavBarComponent],
                    exports: [NavBarHeaderComponent, NavBarFooterComponent, NavBarButtonComponent, NavBarComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { NavBarButtonComponent, NavBarComponent, NavBarFooterComponent, NavBarHeaderComponent, TableauUiNavBarModule };
//# sourceMappingURL=tableau-ui-angular-nav-bar.mjs.map
