import * as i0 from '@angular/core';
import { ChangeDetectionStrategy, Component, input, model, output, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableauUiIconModule } from 'tableau-ui-angular/icon';
import { TableauUiUtilsModule } from 'tableau-ui-angular/utils';

class StepComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: StepComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.3", type: StepComponent, isStandalone: false, selector: "tab-step", ngImport: i0, template: "<p>step works!</p>\n", styles: [""], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: StepComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-step', standalone: false, changeDetection: ChangeDetectionStrategy.OnPush, template: "<p>step works!</p>\n" }]
        }] });

class StepperComponent {
    /**
     * The orientation of the stepper.
     * @default 'horizontal'
     */
    $orientation = input('horizontal', {
        alias: 'orientation',
    });
    /**
     * Whether the validity of a step needs to be checked before moving to the next step.
     * If set to true, the stepper will not allow moving to the next step until the current step is valid.
     * @default false
     */
    $linear = input(false, {
        alias: 'linear',
    });
    /**
     * The index of the currently selected step.
     * This is used to control the active step in the stepper.
     * When it's -1, it selects the first navigable step.
     * Allows for two way data binding.
     * @default -1 (no step selected)
     */
    $selectedIndex = model(-1, {
        alias: 'selectedIndex',
    });
    /**
     * The anumation duration in milliseconds for the stepper transitions.
     * @default 300
     */
    $animationDuration = input(300, {
        alias: 'animationDuration',
    });
    /**
     * The position of the stepper label. relative to the stepper icon.
     * Only applicable when the stepper is horizontal.
     * @default 'right'
     */
    $labelPosition = input('right', {
        alias: 'labelPosition',
    });
    /**
     * Event emitted when the selected step changes.
     */
    selectedStepChanged = output();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: StepperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: StepperComponent, isStandalone: false, selector: "tab-stepper", inputs: { $orientation: { classPropertyName: "$orientation", publicName: "orientation", isSignal: true, isRequired: false, transformFunction: null }, $linear: { classPropertyName: "$linear", publicName: "linear", isSignal: true, isRequired: false, transformFunction: null }, $selectedIndex: { classPropertyName: "$selectedIndex", publicName: "selectedIndex", isSignal: true, isRequired: false, transformFunction: null }, $animationDuration: { classPropertyName: "$animationDuration", publicName: "animationDuration", isSignal: true, isRequired: false, transformFunction: null }, $labelPosition: { classPropertyName: "$labelPosition", publicName: "labelPosition", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { $selectedIndex: "selectedIndexChange", selectedStepChanged: "selectedStepChanged" }, ngImport: i0, template: "<p>stepper works!</p>\n", styles: [""], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: StepperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tab-stepper', standalone: false, changeDetection: ChangeDetectionStrategy.OnPush, template: "<p>stepper works!</p>\n" }]
        }] });

class TableauUiStepperModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiStepperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: TableauUiStepperModule, declarations: [StepperComponent, StepComponent], imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule], exports: [StepperComponent, StepComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiStepperModule, imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiStepperModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TableauUiIconModule, TableauUiUtilsModule],
                    declarations: [StepperComponent, StepComponent],
                    exports: [StepperComponent, StepComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { StepComponent, StepperComponent, TableauUiStepperModule };
//# sourceMappingURL=tableau-ui-angular-stepper.mjs.map
