import * as i0 from '@angular/core';
import { inject, ElementRef, output, Directive, NgModule } from '@angular/core';

function generateRandomString(length = 16) {
    const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    let randomName = '';
    for (let i = 0; i < length; i++) {
        const randomIndex = Math.floor(Math.random() * characters.length);
        randomName += characters.charAt(randomIndex);
    }
    return randomName;
}

class ResizeWatcherDirective {
    element = inject(ElementRef);
    observer;
    resized = output();
    constructor() {
        if (this.element.nativeElement === undefined) {
            throw new Error('ResizeWatcherDirective: ElementRef is undefined');
        }
        this.observer = new ResizeObserver((entries) => {
            this.resized.emit({ currentElement: this.element, entries });
        });
        this.observer.observe(this.element.nativeElement);
    }
    ngOnDestroy() {
        this.observer?.disconnect();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ResizeWatcherDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "20.0.3", type: ResizeWatcherDirective, isStandalone: false, selector: "[resizeWatcher]", outputs: { resized: "resized" }, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ResizeWatcherDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[resizeWatcher]',
                    standalone: false,
                }]
        }], ctorParameters: () => [] });

class TableauUiUtilsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiUtilsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: TableauUiUtilsModule, declarations: [ResizeWatcherDirective], exports: [ResizeWatcherDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiUtilsModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TableauUiUtilsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ResizeWatcherDirective],
                    exports: [ResizeWatcherDirective],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ResizeWatcherDirective, TableauUiUtilsModule, generateRandomString };
//# sourceMappingURL=tableau-ui-angular-utils.mjs.map
