import * as i0 from '@angular/core';
import { AfterContentInit, AfterViewInit, OnDestroy, Signal } from '@angular/core';
import * as i3 from 'tableau-ui-angular/common';
import { HintComponent, ErrorComponent, LabelComponent, PrefixComponent, SuffixComponent } from 'tableau-ui-angular/common';
import * as i2 from '@angular/common';
import * as i4 from '@angular/forms';

declare class FormFieldComponent implements AfterContentInit, AfterViewInit, OnDestroy {
    private readonly inputContainerSelector;
    protected readonly id: string;
    readonly $style: i0.InputSignal<string>;
    protected readonly $hintElement: Signal<HintComponent | undefined>;
    protected readonly $errorElement: Signal<ErrorComponent | undefined>;
    protected readonly $labelElement: Signal<LabelComponent | undefined>;
    protected readonly $prefixElement: Signal<PrefixComponent | undefined>;
    protected readonly $suffixElement: Signal<SuffixComponent | undefined>;
    private readonly $prefixContainer;
    private readonly $suffixContainer;
    private readonly $inputContainer;
    private readonly host;
    private readonly renderer;
    private readonly $inputDisabled;
    private resizeObserver?;
    private intersectionObserver?;
    private inputObserver?;
    ngAfterContentInit(): void;
    private updateInputAttributes;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private updatePrefixSuffixWidths;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldComponent, "tab-form-field", never, { "$style": { "alias": "style"; "required": false; "isSignal": true; }; }, {}, ["$hintElement", "$errorElement", "$labelElement", "$prefixElement", "$suffixElement"], ["tab-label", "tab-prefix", "*", "tab-suffix", "tab-hint", "tab-error"], false, never>;
}

declare class TableauUiFormFieldModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiFormFieldModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiFormFieldModule, [typeof FormFieldComponent], [typeof i2.CommonModule, typeof i3.TableauUiCommonModule, typeof i4.ReactiveFormsModule], [typeof FormFieldComponent, typeof i4.ReactiveFormsModule, typeof i2.CommonModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiFormFieldModule>;
}

export { FormFieldComponent, TableauUiFormFieldModule };
