import * as i0 from '@angular/core';
import { InputSignal, AfterContentInit, Signal } from '@angular/core';
import * as i6 from '@angular/router';
import { UrlTree } from '@angular/router';
import * as i5 from '@angular/common';
import * as i7 from 'tableau-ui-angular/icon';
import * as i8 from 'tableau-ui-angular/tooltip';
import * as i9 from 'tableau-ui-angular/button';
import * as i10 from 'tableau-ui-angular/arrow-scroll';

declare class NavBarFooterComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<NavBarFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavBarFooterComponent, "tab-nav-bar-footer", never, {}, {}, never, ["*"], false, never>;
}

declare class NavBarHeaderComponent {
    readonly $expanded: InputSignal<boolean | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavBarHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavBarHeaderComponent, "tab-nav-bar-header", never, { "$expanded": { "alias": "expanded"; "required": false; "isSignal": true; }; }, {}, never, ["*"], false, never>;
}

declare class NavBarComponent implements AfterContentInit {
    protected readonly $header: Signal<NavBarHeaderComponent | undefined>;
    protected readonly $footer: Signal<NavBarFooterComponent | undefined>;
    readonly $expanded: i0.ModelSignal<boolean>;
    private readonly $buttons;
    ngAfterContentInit(): void;
    private setButtonExpanded;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavBarComponent, "tab-nav-bar", never, { "$expanded": { "alias": "expanded"; "required": false; "isSignal": true; }; }, { "$expanded": "expandedChange"; }, ["$header", "$footer", "$buttons"], ["tab-nav-bar-header", "*", "tab-nav-bar-footer"], false, never>;
}

declare class NavBarButtonComponent {
    readonly $text: InputSignal<string>;
    readonly $link: InputSignal<string[] | UrlTree | string | null | undefined>;
    readonly click: i0.OutputEmitterRef<void>;
    readonly $isActive: InputSignal<boolean>;
    readonly $disabled: InputSignal<boolean>;
    private readonly $expanded;
    protected readonly $isExpanded: i0.Signal<boolean>;
    setExpandedInternal(expanded: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavBarButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavBarButtonComponent, "tab-nav-bar-button", never, { "$text": { "alias": "text"; "required": true; "isSignal": true; }; "$link": { "alias": "link"; "required": false; "isSignal": true; }; "$isActive": { "alias": "isActive"; "required": false; "isSignal": true; }; "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "click": "click"; }, never, ["tab-icon"], false, never>;
}

declare class TableauUiNavBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiNavBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiNavBarModule, [typeof NavBarHeaderComponent, typeof NavBarFooterComponent, typeof NavBarButtonComponent, typeof NavBarComponent], [typeof i5.CommonModule, typeof i6.RouterModule, typeof i7.TableauUiIconModule, typeof i8.TableauUiTooltipModule, typeof i9.TableauUiButtonModule, typeof i10.TableauUiArrowScrollModule], [typeof NavBarHeaderComponent, typeof NavBarFooterComponent, typeof NavBarButtonComponent, typeof NavBarComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiNavBarModule>;
}

export { NavBarButtonComponent, NavBarComponent, NavBarFooterComponent, NavBarHeaderComponent, TableauUiNavBarModule };
