import * as i0 from '@angular/core';
import { Signal } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i3 from 'tableau-ui-angular/common';
import { OptionComponent, ErrorComponent, IOptionGridContext } from 'tableau-ui-angular/common';
import { Primitive } from 'tableau-ui-angular/types';
import * as i2 from '@angular/common';

declare class RadioGroupComponent<T extends Primitive> implements ControlValueAccessor {
    readonly $disabled: i0.WritableSignal<boolean>;
    readonly $value: i0.ModelSignal<T>;
    readonly name: string;
    readonly $options: Signal<readonly OptionComponent<T>[]>;
    readonly $errorElement: Signal<ErrorComponent | undefined>;
    onChange: (value: T | undefined) => void;
    onTouched: () => void;
    writeValue(value: T | undefined): void;
    registerOnChange(fn: (value: T | undefined) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    selectValue(option: OptionComponent<T>): void;
    onKeyDown(e: KeyboardEvent, option: OptionComponent<T>): void;
    generateRandomGroupName(length?: number): string;
    optionTemplateContext: IOptionGridContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent<any>, "tab-radio-group", never, { "$value": { "alias": "value"; "required": false; "isSignal": true; }; }, { "$value": "valueChange"; }, ["$options", "$errorElement"], ["tab-error"], false, never>;
}

declare class TableauUiRadioGroupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiRadioGroupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiRadioGroupModule, [typeof RadioGroupComponent], [typeof i2.CommonModule, typeof i3.TableauUiCommonModule], [typeof RadioGroupComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiRadioGroupModule>;
}

export { RadioGroupComponent, TableauUiRadioGroupModule };
