import * as i0 from '@angular/core';
import * as i3 from '@angular/common';
import * as i4 from 'tableau-ui-angular/icon';
import * as i5 from 'tableau-ui-angular/utils';

declare class StepComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<StepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepComponent, "tab-step", never, {}, {}, never, never, false, never>;
}

declare class StepperComponent {
    /**
     * The orientation of the stepper.
     * @default 'horizontal'
     */
    readonly $orientation: i0.InputSignal<"horizontal" | "vertical">;
    /**
     * Whether the validity of a step needs to be checked before moving to the next step.
     * If set to true, the stepper will not allow moving to the next step until the current step is valid.
     * @default false
     */
    readonly $linear: i0.InputSignal<boolean>;
    /**
     * The index of the currently selected step.
     * This is used to control the active step in the stepper.
     * When it's -1, it selects the first navigable step.
     * Allows for two way data binding.
     * @default -1 (no step selected)
     */
    readonly $selectedIndex: i0.ModelSignal<number>;
    /**
     * The anumation duration in milliseconds for the stepper transitions.
     * @default 300
     */
    readonly $animationDuration: i0.InputSignal<number>;
    /**
     * The position of the stepper label. relative to the stepper icon.
     * Only applicable when the stepper is horizontal.
     * @default 'right'
     */
    readonly $labelPosition: i0.InputSignal<"right" | "bottom">;
    /**
     * Event emitted when the selected step changes.
     */
    readonly selectedStepChanged: i0.OutputEmitterRef<StepComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperComponent, "tab-stepper", never, { "$orientation": { "alias": "orientation"; "required": false; "isSignal": true; }; "$linear": { "alias": "linear"; "required": false; "isSignal": true; }; "$selectedIndex": { "alias": "selectedIndex"; "required": false; "isSignal": true; }; "$animationDuration": { "alias": "animationDuration"; "required": false; "isSignal": true; }; "$labelPosition": { "alias": "labelPosition"; "required": false; "isSignal": true; }; }, { "$selectedIndex": "selectedIndexChange"; "selectedStepChanged": "selectedStepChanged"; }, never, never, false, never>;
}

declare class TableauUiStepperModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiStepperModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiStepperModule, [typeof StepperComponent, typeof StepComponent], [typeof i3.CommonModule, typeof i4.TableauUiIconModule, typeof i5.TableauUiUtilsModule], [typeof StepperComponent, typeof StepComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiStepperModule>;
}

export { StepComponent, StepperComponent, TableauUiStepperModule };
