import * as i0 from '@angular/core';
import { TemplateRef, AfterViewInit, Signal, ElementRef } from '@angular/core';
import * as i3 from '@angular/common';
import * as i4 from 'tableau-ui-angular/arrow-scroll';
import * as i5 from 'tableau-ui-angular/icon';

declare class TabComponent {
    readonly $headerTemplate: i0.Signal<TemplateRef<unknown>>;
    readonly $contentTemplate: i0.Signal<TemplateRef<unknown>>;
    readonly $disabled: i0.InputSignal<boolean>;
    readonly afterActivate: i0.OutputEmitterRef<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "tab", never, { "$disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "afterActivate": "afterActivate"; }, never, ["[tab-header]", "*"], false, never>;
}

declare class TabGroupComponent implements AfterViewInit {
    /**
     * Padding for the tab header, can be adjusted to fit design requirements.
     * @default '0.25rem 1.5rem'
     */
    readonly $headerPadding: i0.InputSignal<string>;
    /**
     * Size of the scroll arrows icon, can be adjusted to fit design requirements.
     * @default '1.5rem'
     */
    readonly $scrollArrowsIconSize: i0.InputSignal<string>;
    protected readonly $tabs: Signal<readonly TabComponent[]>;
    protected readonly $tabElements: Signal<readonly ElementRef<HTMLDivElement>[]>;
    private readonly $_selectedIndex;
    get $selectedIndex(): Signal<number>;
    readonly $selectedTab: Signal<TabComponent | null>;
    selectTab(index: number): void;
    ngAfterViewInit(): void;
    onkeydown(index: number, e: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabGroupComponent, "tab-group", never, { "$headerPadding": { "alias": "headerPadding"; "required": false; "isSignal": true; }; "$scrollArrowsIconSize": { "alias": "scrollArrowsIconSize"; "required": false; "isSignal": true; }; }, {}, ["$tabs"], never, false, never>;
}

declare class TableauUiTabgroupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiTabgroupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiTabgroupModule, [typeof TabComponent, typeof TabGroupComponent], [typeof i3.CommonModule, typeof i4.TableauUiArrowScrollModule, typeof i5.TableauUiIconModule], [typeof TabComponent, typeof TabGroupComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiTabgroupModule>;
}

export { TabComponent, TabGroupComponent, TableauUiTabgroupModule };
