import * as _angular_core from '@angular/core';
import { Observable } from 'rxjs';

interface ThemeConfig {
    fontSize: string;
    mode: 'auto' | 'dark' | 'light';
}

declare class ThemeService {
    private readonly themeKey;
    private readonly defaultTheme;
    private readonly _theme$;
    get theme$(): Observable<ThemeConfig>;
    private readonly autoColor$;
    readonly $theme: _angular_core.Signal<ThemeConfig>;
    readonly appliedThemeMode$: Observable<"dark" | "light">;
    readonly $appliedThemeMode: _angular_core.Signal<"dark" | "light">;
    private getAppliedThemeMode;
    initialize(): void;
    setColorMode(mode: 'auto' | 'dark' | 'light'): void;
    setFontSize(fontSize: string): void;
    reset(): void;
    private getInitialTheme;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<ThemeService, never>;
    static ɵprov: _angular_core.ɵɵInjectableDeclaration<ThemeService>;
}

export { ThemeService };
export type { ThemeConfig };
