import { BehaviorSubject } from 'rxjs';

type Primitive = Date | boolean | number | string | null;

type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends Date ? T[P] : T[P] extends object ? T[P] extends Function ? T[P] : DeepPartial<T[P]> : T[P];
};

type ReadonlyBehaviorSubject<T> = Omit<BehaviorSubject<T>, 'complete' | 'error' | 'next'>;

export type { DeepPartial, Primitive, ReadonlyBehaviorSubject };
